> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/understanding-key-data-platform-concepts/nexthink-query-language-nql/nql-operators/nql-comparison-operators.md).

# NQL comparison operators

Use comparison operators with [NQL where](/platform/understanding-key-data-platform-concepts/nexthink-query-language-nql/nql-keywords/nql-where.md) clause to filter your NQL query results.

<table><thead><tr><th width="127.54541015625">Operator</th><th width="154.72723388671875">Definition</th><th width="185.3636474609375">Supported data types</th><th>Examples</th></tr></thead><tbody><tr><td><code>==</code> or <code>=</code></td><td>Equals</td><td><p>string</p><p>int</p><p>float</p><p>Boolean</p><p>date time</p><p>enumeration</p><p>duration</p><p>IP address</p><p>version</p></td><td><p><code>| where user.name = "jdoe@kanopy"</code></p><p><code>| where user.name == "jdoe@kanopy"</code></p></td></tr><tr><td><code>!=</code></td><td>Not equals</td><td><p>string</p><p>int</p><p>float</p><p>Boolean</p><p>date time</p><p>enumeration</p><p>duration</p><p>IP address</p><p>version</p></td><td><code>| where hardware_manufacturer != "VMWare"</code><br><code>| where hardware_manufacturer != null</code></td></tr><tr><td><code>></code></td><td>Greater than</td><td><p>int</p><p>float</p><p>duration</p><p>byte</p><p>IP address</p><p>version</p></td><td><code>| where hardware.memory > 8GB</code></td></tr><tr><td><code>&#x3C;</code></td><td>Less than</td><td><p>int</p><p>float</p><p>duration</p><p>byte</p><p>IP address</p><p>version</p></td><td><code>| where hardware.memory &#x3C; 16GB</code></td></tr><tr><td><code>>=</code></td><td>Greater or equal</td><td><p>int</p><p>float</p><p>date time</p><p>duration</p><p>byte</p><p>IP address</p><p>version</p></td><td><code>| where hardware.memory >= 8GB</code></td></tr><tr><td><code>&#x3C;=</code></td><td>Less or equal</td><td><p>int</p><p>float</p><p>date time</p><p>duration</p><p>byte</p><p>IP address</p><p>version</p></td><td><code>| where hardware.memory &#x3C;= 16GB</code></td></tr></tbody></table>

Refer to [NQL data types](/platform/understanding-key-data-platform-concepts/nexthink-query-language-nql/nql-syntax-overview/nql-data-types.md) for more information.

{% hint style="info" %}
In comparison operations, `=` and `==` are interchangeable. However, when used for aliasing in [NQL compute](/platform/understanding-key-data-platform-concepts/nexthink-query-language-nql/nql-keywords/nql-compute.md) or [NQL summarize](/platform/understanding-key-data-platform-concepts/nexthink-query-language-nql/nql-keywords/nql-summarize.md) statements, only the single `=` is supported.
{% endhint %}

All expressions used in combination with these operators are case-insensitive. For example, the following queries return the same results:

{% code overflow="wrap" lineNumbers="true" %}

```
devices during past 24h
| where name == "CORPSYS2022"
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```
devices during past 24h
| where name == "CoRpSyS2022"
```

{% endcode %}

### Using wildcards

Use wildcards to match partial values and increase filter flexibility. Expressions used in combination with comparison operators support the following wildcard characters.

<table><thead><tr><th width="109">Operator</th><th width="189.36358642578125">Definition</th><th>Examples</th></tr></thead><tbody><tr><td>*</td><td>Replaces any number of characters</td><td><p><code>| where application.name = "Microsoft*"</code></p><p>Returns application names starting with "Microsoft"</p><p><code>| where application.name = "*Microsoft*"</code></p><p>Returns application names containing "Microsoft"</p></td></tr><tr><td>?</td><td>Replaces any single character</td><td><p><code>| where device.operating_system.name == "Windows 1?"</code></p><p>Returns operating system names with versions above 10, such as Windows 10 and Windows 11.</p></td></tr><tr><td>...</td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.nexthink.com/platform/understanding-key-data-platform-concepts/nexthink-query-language-nql/nql-operators/nql-comparison-operators.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
